  
%clear all
  
% Functions of two variables
tic
% f(x,y)=x^2+y^2;

% domain of the function

Nx=100;
Ny=100;
x = linspace(-3,3,Nx);
y = linspace(-3,3,Ny);

[X,Y] = meshgrid(x,y);

% now the function

Z = (X+Y).*abs(X.^2-Y);
 
figure;
fs=surf(X,Y,Z);
xlabel('x');
ylabel('y');
title('f(x,y) = (x+y)|x^2-y|');
%fs.EdgeColor = 'none';
fs.FaceAlpha = 0.5;
hold on
plot([0 1],[0 0],'black','linewidth',2);
hold on
plot([0 0],[0 2],'black','linewidth',2);
hold on
plot([0 1],[2 1],'black','linewidth',2);
hold on
plot([1 1],[0 1],'black','linewidth',2);
hold on 
f = @(x,y) x.^2 - y;
fimplicit(f,[0 sqrt(3) 0 3],'r','linewidth',2);
axis([0 3 0 3 0 40])
grid on
toc