

%clear all
  
% Functions of two variables
tic
% f(x,y)=x^2+y^2;

% domain of the function

Nx=100;
Ny=100;
x = linspace(0,2,Nx);
y = linspace(0,2,Ny);

[X,Y] = meshgrid(x,y);

% now the function

Z = X+Y;



 
figure;
fs=surf(X,Y,Z);
xlabel('x');
ylabel('y');
title('f(x,y) = x+y');
%fs.EdgeColor = 'none';
fs.FaceAlpha = 0.7;
hold on
contour(X,Y,Z,20,'linewidth',2)
hold on 
f = @(x,y) x.^2 + y.^2 - 1;
fimplicit(f,[0 1 0 1],'black','linewidth',2);

toc